package cn.iocoder.yudao.module.llm.controller.admin.learningresources.vo;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.JsonToken;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;

import java.io.IOException;

public class StringArrayDeserializer extends JsonDeserializer<String> {
    @Override
    public String deserialize(JsonParser p, DeserializationContext ctxt) throws IOException {
        // 如果是数组
        if (p.currentToken() == JsonToken.START_ARRAY) {
            // 移动到数组的下一个元素
            JsonToken nextToken = p.nextToken();
            // 判断是否为空数组
            if (nextToken == JsonToken.END_ARRAY) {
                return "";
            }
            return p.getText();
        }
        // 如果是字符串，直接返回
        return p.getText();
    }
}
